(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4862,        133]
NotebookOptionsPosition[      4436,        112]
NotebookOutlinePosition[      4768,        127]
CellTagsIndexPosition[      4725,        124]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XYZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"iqr", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletIndustrialQuadRelay\>\"", ",", "uid", ",", 
    "ipcon"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Turn", " ", "relays", " ", "alternating", " ", 
    RowBox[{"on", "/", "off"}], " ", "10", " ", "times", " ", "with", " ", 
    "100", " ", "ms", " ", "delay"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "0"}], ",", 
    RowBox[{"i", "<", "10"}], ",", 
    RowBox[{"i", "++"}], ",", 
    RowBox[{
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Pause", "[", "0.1", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"iqr", "@", 
      RowBox[{"SetValue", "[", 
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "2"}], 
        "]"}], "]"}]}]}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "iqr", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzWkow3EcBvAlueONK8kx5MXcszdLNlG8cOXFKKtprn+ZWe7CK14hxwgz
c7SW8MKRO1aiaYqGXMv1QuJvvJA5yvV7fi++feqp5/mGyqvySh04HA6XHLTI
XhM1R2xKnDxBALuyrDIY8bgvh1u/veUw42aqGl7lChsglydSQ0en8xHIt/F1
cC7Ip3mY2GGooZb1nLZS31hqxeqEbZzoubbyDG80HnY4qmA/oEQt/YYPZww1
fnCSO4E8SBsOlf6OPGiPlsRAJoMVQJP2i3o92qKGKmN6H8z306Ru4n/qeTZM
1x1IYMKltAAOtLcnbROzei3JUGkP4exhb1XmBTVdxb5w6cfVHzpXCi+YY9LL
97bCPdEGCxULJ1ST23p/BZF9MWohz+ZigMzt0CQUfzUW6ohJi+IS2B0ZoIIt
TA5VWJdZB80FRVT3ofdDON5pOoVjUfX6XaL1aH4aKqSLs1A0c02t9TYtw3sH
2Rq1pmgHnuiVVG7ab6CZaGySBkOXmNgwaA4RUz+z2/h/gqeU27t76j8XmD2t

  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{332, 65}, {52, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 3427, 84, 539, "Input"]
}
]
*)

